Skip to main content
GET
/
v1
/
flow-templates
Search flow templates
curl --request GET \
  --url https://api.runflow.io/v1/flow-templates \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "category": "<string>",
      "payload": {},
      "is_platform": true,
      "is_active": true,
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by_user": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "avatar_url": "<string>"
      }
    }
  ],
  "first": "<string>",
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Query Parameters

q
string | null

ANTLR filter expression

limit
integer | null

Page size

Required range: 1 <= x <= 500
sort_by
string | null

Sort expression (e.g. created_at:desc)

fields
string | null

Field projection (e.g. id,name)

embed
string | null

Relation embedding. Available values: created_by_user. Use a comma-separated list to request multiple embeds.

pq
string | null

Pagination cursor query

from_prev
boolean
default:false

Backward pagination flag

Response

Paginated flow template list.

Paginated list response.

items
FullValidator · object[]
required
first
string | null
next
string | null
previous
string | null